Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolButton.ToolButtonFeature

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionToolButton.ToolButtonFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionToolButton

    public static final class QStyleOptionToolButton.ToolButtonFeature

extends java.lang.Enum
implements QtEnumerator

Describes the various features that a tool button can have.

See also:
  features, `QToolButton::toolButtonStyle()`, and `QToolButton::popupMode()`.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionToolButton.ToolButtonFeature` | `Arrow` The tool button is an arrow.
`static QStyleOptionToolButton.ToolButtonFeature` | `HasMenu` The button has a popup menu.
`static QStyleOptionToolButton.ToolButtonFeature` | `Menu` The tool button has a menu.
`static QStyleOptionToolButton.ToolButtonFeature` | `None` A normal tool button.
`static QStyleOptionToolButton.ToolButtonFeature` | `PopupDelay` There is a delay to showing the menu.

Method Summary
`static QStyleOptionToolButton.ToolButtonFeatures` | `createQFlags(QStyleOptionToolButton.ToolButtonFeature[] values)` This function creates a com.trolltech.qt.gui.QStyleOptionToolButton$ToolButtonFeatures with the specified `com.trolltech.qt.gui.QStyleOptionToolButton$ToolButtonFeature[]` QStyleOptionToolButton$ToolButtonFeature values set.
`static QStyleOptionToolButton.ToolButtonFeature` | `resolve(int value)` Returns the QStyleOptionToolButton$ToolButtonFeature constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolButton.ToolButtonFeature` | `valueOf(java.lang.String name)`
`static QStyleOptionToolButton.ToolButtonFeature[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final QStyleOptionToolButton.ToolButtonFeature None

  A normal tool button.

### Arrow

    public static final QStyleOptionToolButton.ToolButtonFeature Arrow

  The tool button is an arrow.

### Menu

    public static final QStyleOptionToolButton.ToolButtonFeature Menu

  The tool button has a menu.

### PopupDelay

    public static final QStyleOptionToolButton.ToolButtonFeature PopupDelay

  There is a delay to showing the menu.

### HasMenu

    public static final QStyleOptionToolButton.ToolButtonFeature HasMenu

  The button has a popup menu.

Method Detail

### values

    public static QStyleOptionToolButton.ToolButtonFeature[] values()

### valueOf

    public static QStyleOptionToolButton.ToolButtonFeature valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyleOptionToolButton.ToolButtonFeatures createQFlags(QStyleOptionToolButton.ToolButtonFeature[] values)

  This function creates a com.trolltech.qt.gui.QStyleOptionToolButton$ToolButtonFeatures with the specified `com.trolltech.qt.gui.QStyleOptionToolButton$ToolButtonFeature[]` QStyleOptionToolButton$ToolButtonFeature values set.

### resolve

    public static QStyleOptionToolButton.ToolButtonFeature resolve(int value)

  Returns the QStyleOptionToolButton$ToolButtonFeature constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD